import 'package:cl_appbase/appbase.dart';

part 'post_dto.g.dart';

@TransferObject()
class PostDto extends _TransferObject {
  @TransferId()
  final int id;
  final String title;
  final String body;
  final int userId;

  PostDto({
    required this.id,
    required this.title,
    required this.body,
    required this.userId,
  });

  @override
  String toString() {
    return 'id: $id\ntitle: $title\nbody: $body\nuserId: $userId';
  }
}
