import 'package:cl_appbase/appbase.dart';

part 'comment_dto.g.dart';

@TransferObject()
class CommentDto extends _TransferObject {
  @TransferId()
  final int id;
  final int postId;
  final String name;
  final String email;
  final String body;

  CommentDto(this.id, this.postId, this.name, this.email, this.body);

  @override
  String toString() {
    return 'id: $id\name: $name\nbody: $body\npostId: $postId';
  }
}
